image: ubuntu:16.04

variables:
  WORKON_HOME: /mycroft-virtualenv/

before_script:
  - mkdir -p ${WORKON_HOME}
  - apt update -q
  - apt install -qyy git python-pip
  - git clone --depth=1 -b feature/carstens-skill-tester https://github.com/MycroftAI/mycroft-core.git
  - ( cd mycroft-core ; ./dev_setup.sh -sm --allow-root )

test:
  stage: test
  script:
    - 'export VIRTUALENV_ROOT=${WORKON_HOME}/mycroft'
    - 'source ${VIRTUALENV_ROOT}/bin/activate'
    - cp mycroft-core/test/integrationtests/skills/skill_developers_testrunner.py .
    - python skill_developers_testrunner.py
